﻿[*.cs]

# S5445: Insecure temporary file creation methods should not be used
dotnet_diagnostic.S5445.severity = none

[*.cs]
#### Benennungsstile ####

# Benennungsregeln

dotnet_naming_rule.interface_should_be_begins_with_i.severity = suggestion
dotnet_naming_rule.interface_should_be_begins_with_i.symbols = interface
dotnet_naming_rule.interface_should_be_begins_with_i.style = begins_with_i

dotnet_naming_rule.types_should_be_pascal_case.severity = suggestion
dotnet_naming_rule.types_should_be_pascal_case.symbols = types
dotnet_naming_rule.types_should_be_pascal_case.style = pascal_case

dotnet_naming_rule.non_field_members_should_be_pascal_case.severity = suggestion
dotnet_naming_rule.non_field_members_should_be_pascal_case.symbols = non_field_members
dotnet_naming_rule.non_field_members_should_be_pascal_case.style = pascal_case

# Symbolspezifikationen

dotnet_naming_symbols.interface.applicable_kinds = interface
dotnet_naming_symbols.interface.applicable_accessibilities = public, internal, private, protected, protected_internal, private_protected
dotnet_naming_symbols.interface.required_modifiers = 

dotnet_naming_symbols.types.applicable_kinds = class, struct, interface, enum
dotnet_naming_symbols.types.applicable_accessibilities = public, internal, private, protected, protected_internal, private_protected
dotnet_naming_symbols.types.required_modifiers = 

dotnet_naming_symbols.non_field_members.applicable_kinds = property, event, method
dotnet_naming_symbols.non_field_members.applicable_accessibilities = public, internal, private, protected, protected_internal, private_protected
dotnet_naming_symbols.non_field_members.required_modifiers = 

# Benennungsstile

dotnet_naming_style.begins_with_i.required_prefix = I
dotnet_naming_style.begins_with_i.required_suffix = 
dotnet_naming_style.begins_with_i.word_separator = 
dotnet_naming_style.begins_with_i.capitalization = pascal_case

dotnet_naming_style.pascal_case.required_prefix = 
dotnet_naming_style.pascal_case.required_suffix = 
dotnet_naming_style.pascal_case.word_separator = 
dotnet_naming_style.pascal_case.capitalization = pascal_case

dotnet_naming_style.pascal_case.required_prefix = 
dotnet_naming_style.pascal_case.required_suffix = 
dotnet_naming_style.pascal_case.word_separator = 
dotnet_naming_style.pascal_case.capitalization = pascal_case
csharp_space_around_binary_operators = before_and_after
csharp_indent_labels = flush_left
csharp_style_expression_bodied_methods = false:silent
csharp_style_expression_bodied_constructors = false:silent
csharp_style_expression_bodied_operators = false:silent
csharp_style_expression_bodied_properties = true:silent
csharp_style_expression_bodied_indexers = true:silent
csharp_style_expression_bodied_accessors = true:silent
csharp_style_expression_bodied_lambdas = true:silent
csharp_style_expression_bodied_local_functions = false:silent
csharp_style_throw_expression = true:suggestion
csharp_style_prefer_null_check_over_type_check = true:suggestion
csharp_prefer_simple_default_expression = true:suggestion
csharp_style_prefer_local_over_anonymous_function = true:suggestion
csharp_style_prefer_index_operator = true:suggestion

[*.vb]
#### Benennungsstile ####

# Benennungsregeln

dotnet_naming_rule.interface_should_be_beginnt_mit_i.severity = suggestion
dotnet_naming_rule.interface_should_be_beginnt_mit_i.symbols = interface
dotnet_naming_rule.interface_should_be_beginnt_mit_i.style = beginnt_mit_i

dotnet_naming_rule.typen_should_be_pascal_schreibweise.severity = suggestion
dotnet_naming_rule.typen_should_be_pascal_schreibweise.symbols = typen
dotnet_naming_rule.typen_should_be_pascal_schreibweise.style = pascal_schreibweise

dotnet_naming_rule.nicht_feldmember_should_be_pascal_schreibweise.severity = suggestion
dotnet_naming_rule.nicht_feldmember_should_be_pascal_schreibweise.symbols = nicht_feldmember
dotnet_naming_rule.nicht_feldmember_should_be_pascal_schreibweise.style = pascal_schreibweise

# Symbolspezifikationen

dotnet_naming_symbols.interface.applicable_kinds = interface
dotnet_naming_symbols.interface.applicable_accessibilities = public, friend, private, protected, protected_friend, private_protected
dotnet_naming_symbols.interface.required_modifiers = 

dotnet_naming_symbols.typen.applicable_kinds = class, struct, interface, enum
dotnet_naming_symbols.typen.applicable_accessibilities = public, friend, private, protected, protected_friend, private_protected
dotnet_naming_symbols.typen.required_modifiers = 

dotnet_naming_symbols.nicht_feldmember.applicable_kinds = property, event, method
dotnet_naming_symbols.nicht_feldmember.applicable_accessibilities = public, friend, private, protected, protected_friend, private_protected
dotnet_naming_symbols.nicht_feldmember.required_modifiers = 

# Benennungsstile

dotnet_naming_style.beginnt_mit_i.required_prefix = I
dotnet_naming_style.beginnt_mit_i.required_suffix = 
dotnet_naming_style.beginnt_mit_i.word_separator = 
dotnet_naming_style.beginnt_mit_i.capitalization = pascal_case

dotnet_naming_style.pascal_schreibweise.required_prefix = 
dotnet_naming_style.pascal_schreibweise.required_suffix = 
dotnet_naming_style.pascal_schreibweise.word_separator = 
dotnet_naming_style.pascal_schreibweise.capitalization = pascal_case

dotnet_naming_style.pascal_schreibweise.required_prefix = 
dotnet_naming_style.pascal_schreibweise.required_suffix = 
dotnet_naming_style.pascal_schreibweise.word_separator = 
dotnet_naming_style.pascal_schreibweise.capitalization = pascal_case

[*.{cs,vb}]
dotnet_style_operator_placement_when_wrapping = beginning_of_line
end_of_line = crlf
dotnet_style_coalesce_expression = true:suggestion
dotnet_style_null_propagation = true:suggestion
dotnet_style_prefer_is_null_check_over_reference_equality_method = true:suggestion
dotnet_style_prefer_auto_properties = true:silent
dotnet_style_object_initializer = true:suggestion
dotnet_style_prefer_collection_expression = true:suggestion
dotnet_style_collection_initializer = true:suggestion
dotnet_style_prefer_simplified_boolean_expressions = true:suggestion
dotnet_style_prefer_conditional_expression_over_assignment = true:silent
dotnet_style_prefer_conditional_expression_over_return = true:silent
dotnet_style_explicit_tuple_names = true:suggestion
dotnet_style_prefer_inferred_tuple_names = true:suggestion
dotnet_style_prefer_inferred_anonymous_type_member_names = true:suggestion
dotnet_style_prefer_compound_assignment = true:suggestion
dotnet_style_prefer_simplified_interpolation = true:suggestion
dotnet_style_namespace_match_folder = true:suggestion